/*
Theme Name:     Tessa Divi Child Theme
Theme URI:      https://tessa.divicoded.com/
Description:    Tessa is a modern and clean Divi Child Theme that perfect for Electric Car & EV Charging Station, Electric Vehicle and any EV-related business.
Author:         DiviCoded
Author URI:     https://divicoded.com/
Template:       Divi
Version:        1.0.1
*/

/* General */

:root {
	--color1: #86BB45;
	--color2: #081A3E;
}

/* Header Section */
.et-db #et-boc .et-l .tessa_header.et_pb_sticky.et_pb_section {
	box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
	background-color:var(--color2)!important;
}
.tessa_header .et_pb_menu {
	width:76%;
}
.tessa_header .et_pb_menu .et_pb_menu_inner_container {
	gap:20px;
}
.tessa_header .et_pb_menu .et_pb_menu_inner_container:after {
	content:none;
}
.tessa_header .et_pb_menu .et_pb_menu_inner_container .et_pb_menu__wrap {
	justify-content:end;
}
.tessa_header .et_mobile_menu a.mobile-toggle-icon {
	height: 47px;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: transparent!important;
	border: 0;
}
.tessa_header .et_mobile_nav_menu>.mobile_nav>ul>li.menu-item-has-children>a:after,
.tessa_header .et_mobile_nav_menu>.mobile_nav>ul>li.menu-item-has-children ul>li.menu-item-has-children>a:after {
	font-family: ETmodules;
	font-weight: 600;
	position: absolute;
	font-size: 18px;
	content: '\33';
	top: 11px;
	transform: rotate(0);
	right: 13px;
	color:#fff;
	transition: all .5s ease;
}
.tessa_header .et_mobile_nav_menu>.mobile_nav>ul>li.menu-item-has-children.mobile-toggle-open> a:after, 
.tessa_header .et_mobile_nav_menu>.mobile_nav>ul>li.menu-item-has-children ul li.menu-item-has-children.mobile-toggle-open> a:after,
.tessa_header .et_mobile_nav_menu>.mobile_nav>ul>li.menu-item-has-children ul>li.menu-item-has-children ul>li.menu-item-has-children.mobile-toggle-open>a:after {
	transform: rotate(180deg);
	color:var(--color1);
}
.tessa_header .et_mobile_nav_menu .mobile_nav .mobile_menu_bar {
	width:37px;
	height:35px;
	margin-right:0px;
}
.et-db #et-boc .tessa_header .et_mobile_nav_menu .mobile_nav .mobile_menu_bar:before {
	background-image: radial-gradient(#fff 32%,transparent 44%),radial-gradient(#fff 30%,transparent 40%);
	background-position: 0 0,0 0;
	background-repeat: repeat;
	background-size: 12px 12px;
	top: 0;
	content: "";
	height: 37px;
	position: absolute;
	right: 0;
	width: 35px;
	bottom: auto;
	z-index: 1;
}
.tessa_header .et_mobile_nav_menu .mobile_nav.opened .mobile_menu_bar:before {
	content: "\4d";
}
.tessa_header .et_mobile_menu .menu-item-has-children {
	position: relative; 
}
.tessa_header .et_pb_menu__wrap .et_mobile_nav_menu .et_mobile_menu,
.et-db #et-boc .et-l .tessa_header .et_pb_menu__wrap .et_mobile_nav_menu .et_mobile_menu {
	padding:10px;
	top: 102%;
	border-color:var(--color1);
	left: 0px;
	right: 0px;
	width:auto;
	background-color: var(--color2)!important;
}
.tessa_header .et_mobile_menu ul.sub-menu {
	display: none!important;
	visibility: hidden!important;
	transition: all 1.5s ease;
}
.tessa_header .et_mobile_menu .mobile-toggle-open>a {
	opacity:1;
	color: var(--color1)!important;
}
.tessa_header .et_mobile_menu .mobile-toggle-open>a.mobile-toggle-icon,
.tessa_header_detials .et-pb-icon {
	color: var(--color1)!important;
}
.tessa_header .et_mobile_menu .mobile-toggle-open ul.sub-menu.visible {
	display: block!important;
	visibility: visible!important;
	opacity: 1;
	color: var(--color1);
}
.tessa_header .et_pb_menu__menu>nav>ul>li>a {
	padding: 0!important;
	font-size: 18px;
	line-height: 22px;  
	position:relative;
	font-weight:500;
}
.tessa_header .et_pb_menu__menu>nav>ul {
	gap:40px;
	margin:0;
}
.tessa_header .et_pb_menu__menu>nav>ul>li {
	padding:0;
	margin:0;
}
.tessa_header .et_pb_menu__menu>nav>ul>li ul li a {
	font-size:16px;
	line-height:22px;
	position:relative;
	width:100%;
	color:#1c1c1c;
	padding: 10px 20px;
	transition:all .5s ease;
}
.tessa_header .et_pb_menu__menu>nav>ul> li> a {
	color:#fff!important;
	transition:all .5s ease;
}
.tessa_header .et_pb_menu__menu>nav>ul> li> a:before {
	content:'';
	width: 0;
	height: 2px;
	background: var(--color1);
	position: absolute;
	top: 48px;
	left: 0;
	right: auto;
	transition: all .5s ease;
	margin: auto;
}
.tessa_header .et_pb_menu__menu>nav>ul li a:hover:before,
.tessa_header .et_pb_menu__menu>nav>ul> li.current-menu-item > a:before {
	width:25px;
}
.tessa_header .et_mobile_menu li>a {
	color:#fff!important;
	transition:all .5s ease;
	font-size: 16px;
	line-height: 24px;
	background-color:transparent!important;
	border:0;
	font-weight: 500;
}
.tessa_header .et_mobile_menu li li {
	padding-left: 2%;
}
.tessa_header .et_pb_menu__menu>nav>ul> li.current-menu-item > a,
.tessa_header .et_pb_menu__menu>nav>ul li a:hover,
.tessa_header .et_mobile_menu li>a:hover,
.tessa_header .et_mobile_menu li.current-menu-item>a,
.pessa_icon_color .et-pb-icon {
	opacity:1;
	color: var(--color1)!important;
}
.tessa_header .et_pb_menu__menu>nav>ul>li.menu-item-has-children>a{
	padding-right:16px!important;
}
.tessa_header .et-menu li li.menu-item-has-children>a:first-child:after {
	right: 20px;
	top: 12px;
}
.tessa_header .et_pb_menu__menu>nav>ul li ul {
	border:0;
	padding:0;
	top: calc(100% - -20px);
}
.tessa_header .et_pb_menu__menu>nav>ul li ul li ul {
	top:0px;
}
.tessa_header .et_pb_menu__menu>nav>ul li ul li {
	padding:0;
	width:100%;
}
.tessa_header .et_pb_menu__menu>nav>ul li ul li a:hover ,
.tessa_header .et_pb_menu__menu>nav>ul li ul li.current-menu-item > a {
	background:var(--color2)!important;
	color:#fff!important;
}
.tessa_header .et_pb_button_module_wrapper {
	overflow:hidden;
	display:inline-block;
	margin:0!important;
}
.tessa_header span.et-pb-icon {
	width: 40px;
	height: 40px;
	line-height:40px;
	background-color:var(--color1);
	border-radius: 8px;
	text-align:center;
}
.tessa_header .et_pb_blurb_container {
	padding:0;
}
.tessa_header .et_pb_menu__menu>nav>ul>li ul li a:before {
	content: '';
	width: 0px!important;
	height: 2px!important;
	position: absolute;
	top: 50%!important;
	transform:translateY(-50%);
	-ms-transform:translateY(-50%);
	-webkit-transform:translateY(-50%);
	left: 0;
	right:auto;
	background: #fff!important;
	transition: all .5s ease;
}
.tessa_header .et_pb_menu .et_pb_menu_inner_container .et_pb_menu__logo {
	margin:0;
}
.tessa_header .et_pb_menu__menu>nav>ul>li ul li a:hover, 
.tessa_header .et_pb_menu__menu>nav>ul li ul li.current-menu-item > a {
	padding-left: 30px;
}
.tessa_header .et_pb_menu__menu>nav>ul>li ul li a:hover:before,
.tessa_header .et_pb_menu__menu>nav>ul li ul li.current-menu-item > a:before {
	width:20px!important;
}
.tessa-slide-sidebar {
	transform: translateX(100%);
	-webkit-transform: translateX(100%);
	-ms-transform: translateX(100%);
}
.tessa-slide-sidebar.is-opened {
	transform: translateX(0);
	-webkit-transform: translateX(0);
	-ms-transform: translateX(0);
}
.tessa-slide-sidebar.ryder-transition {
	transition: 0.7s;
}
.tessa-close {
	cursor: pointer;
}
@media(max-width:1370px) {
	.tessa_header .et_pb_menu {
		width: auto;
	}
	.tessa_header .et_pb_menu__menu>nav>ul {
		gap: 25px;
	}
}
@media(max-width:1265px) {
	.tessa_header .et_pb_menu__menu>nav>ul>li>a,
	.tessa_header .et_pb_module_header {
		font-size: 15px;
	}
	.et-db #et-boc .et-l .tessa_header .et_pb_button_module_wrapper .et_pb_button,
	.tessa_header .et_pb_button_module_wrapper .et_pb_button,
	.tessa_header .et_pb_button_module_wrapper .et_pb_button:hover{
		padding:13px !important;
		font-size:14px!important;
	}
	.et-db #et-boc .et-l .tessa_header .et_pb_column ,
	.tessa_header .et_pb_column,
	.tessa_header .et_pb_menu .et_pb_menu_inner_container {
		gap: 15px;
	}
}
@media(max-width:1080px) {
	.tessa_header .et_pb_menu__menu>nav>ul {
		gap: 15px;
	}
	.tessa_header .et_pb_menu__menu>nav>ul>li>a,
	.tessa_header .et_pb_module_header {
		font-size: 14px;
	}
	.et-db #et-boc .et-l .tessa_header .et_pb_button_module_wrapper .et_pb_button,
	.tessa_header .et_pb_button_module_wrapper .et_pb_button,
	.tessa_header .et_pb_button_module_wrapper .et_pb_button:hover {
		padding: 10px !important;
		font-size:13px!important;
	}
}
@media(max-width:980px) {
	.tessa_header .et_pb_menu {
		width: 100%;
	}
	.tessa_header .et_pb_menu .et_pb_menu_inner_container .et_pb_menu__wrap {
		justify-content: end;
	}
	.tessa_header .et_pb_menu .et_mobile_nav_menu {
		margin:0;
	}
}

/* Footer Section */
.tessa_footer_form form .et_contact_bottom_container {
	float: left;
	width: 100%;
	margin:0;
	padding: 0 0 0 3%;
}
.tessa_footer_form form .et_contact_bottom_container button:after {
	content: ''!important;
	top: 0;
	bottom: 0;
	right: 0;
	width: 3px;
	background-color: #fff!important;
	transition: all .5s ease;
	z-index: -1;
}
.tessa_footer_form form .et_contact_bottom_container button:hover:after {
	width:100%;	
}
.tessa_footer_form form .et_contact_bottom_container button:hover {
	color:var(--color1)!important;
}

/* Hero Section */
.tessa_icon_color_2 .et-pb-icon,
.tessa_social li a:before {
	color:var(--color2)!important;
}
.tessa_social li a:hover:before {
	color:#fff!important;
}
@media(max-width:1250px) {
	.tessa_hero_text {
		font-size: 80px!important;
		line-height: 100px!important;
	}
}

/* Team Detail */
.tessa_team_detail .et_pb_blurb_container {
	display: flex;
	align-items: center;
	gap: 3px;
}
.tessa_team_bar .et_section_regular{
	padding:0!important;
}
.tessa_team_bar .et_pb_counter_container {
	height: 10px;
	background: #f0f0f0;
	border-radius: 0;
	box-shadow: none;
	margin: 14px 0 30px;
	overflow: visible;
}
.tessa_team_bar .et_pb_counter_container .et_pb_counter_amount {
	box-shadow: none;
	border-radius: 0;
	position: relative;
	animation: animate-positive 2s;
	height: 100%;
	margin-top: 0!important;
	background-color: var(--color1)!important;
}
.tessa_team_bar .et_pb_counter_amount_number {
	position: absolute;
	top: -40px;
	right: 5px;
}
.tessa_team_bar .et_pb_column_single{
	margin-bottom:0!important;
}
.tessa_icon_box .et-pb-icon {
	color:var(--color1)!important;
}

/* Service Section */
.tessa_service .et_pb_module_header {
	color: var(--color2)!important;
}
.tessa_service .et_pb_promo_description .tessa_service_num {
	position:absolute;
	top:0;
	left:0;
	right:0;
	margin:auto;
	width: 70px;
	height: 70px;
	line-height:70px!important;
	color: var(--color2)!important;
	font-size: 24px!important;
	font-weight: 700!important;
	transition:all .5s ease;
	font-family: Montserrat!important;
}
.tessa_service .et_pb_promo_description .tessa_service_num:before {
	content:'';
	top:0;
	bottom:0;
	left:0;
	right:0;
	position:absolute;
	background-color: var(--color2);
	opacity:0.1;
	transition:all .5s ease;
	z-index:-1;
}
.tessa_service:hover .et_pb_promo_description .tessa_service_num {
	color: var(--color1)!important;
}
.tessa_service:hover .et_pb_promo_description .tessa_service_num:before {
	opacity:1;
}
.tessa_service .et_pb_promo_description > div,
.tessa_service .et_pb_button_wrapper {
	display:none;
	transition:all .5s ease;
}
.tessa_service:hover .et_pb_promo_description > div,
.tessa_service:hover .et_pb_button_wrapper {
	display:block;
}
@media(max-width:575px) {
	.tessa_service .et_pb_promo_description .tessa_service_num {
		width: 50px;
		height: 50px;
		line-height:50px!important;
		font-size: 20px!important;
	}
	.tessa_service .et_pb_promo_description {
		padding:70px 0 0 !important;
	}
}

/* Why Choose Section */
.tessa_choose_box .et_pb_main_blurb_image:before {
	content:'';
	top:-11px;
	right:-11px;
	left:-11px;
	bottom:-11px;
	position:absolute;
	border-radius:50%;
	background-color: var(--color1);
	opacity:0.2;
}

/* Project Section */
.tessa_project .et_pb_portfolio_items,
.tessa_project .et_pb_ajax_pagination_container {
	display:grid;
	grid-template-columns:repeat(4,1fr);
	gap:30px;
}
.tessa_project_col_2 .et_pb_portfolio_items,
.tessa_project_col_2 .et_pb_ajax_pagination_container {
	grid-template-columns:repeat(2,1fr);
}
.tessa_project_col_3 .et_pb_portfolio_items,
.tessa_project_col_3 .et_pb_ajax_pagination_container {
	grid-template-columns:repeat(3,1fr);
}
.tessa_project_no_gap .et_pb_portfolio_items,
.tessa_project_no_gap .et_pb_ajax_pagination_container {
	gap:0;
}
.tessa_project .project,
.tessa_project .project .et_portfolio_image,
.tessa_project .project .entry-featured-image-url {
	position:relative;
	overflow:hidden;
	margin:0;
}
.tessa_project .project .et_portfolio_image:before ,
.tessa_project .project .entry-featured-image-url:before {
	content:'';
	top:0;
	bottom:0;
	left:0;
	right:0;
	position:absolute;
	background-color: var(--color2);
	opacity:0;
	transition:all .5s ease;
}
.tessa_project .project:hover .et_portfolio_image:before ,
.tessa_project .project:hover .entry-featured-image-url:before {
	opacity:0.5;	
}
.tessa_project .project .tessa_project_detail {
	position: absolute;
	background-color: var(--color1);
	border-radius: 50%;
	left: -113px;
	transition: all .5s ease;
	right: 58px;
	height: 462px;
	bottom: -462px;
}
.tessa_project_col_2 .project .tessa_project_detail {
	max-width:462px;
}
.tessa_project .project .tessa_project_detail .tessa_project_content {
	padding: 90px 40px 0 145px;
	display: flex;
	flex-direction: column-reverse;
	justify-content: flex-end;
	position: relative;
}
.tessa_project .project:hover .tessa_project_detail {
	bottom:-237px;
}
.tessa_project .project .tessa_project_detail:before {
	content:'';
	top:20px;
	right:-10px;
	bottom:-20px;
	left:10px;
	position:absolute;
	border:1px solid #fff;
	border-radius:50%;
}
.tessa_project .project .tessa_project_detail:after {
	content:'\26';
	color: var(--color2);
	font-family:ETmodules;
	font-size:16px;
	width: 44px;
	height: 44px;
	position:absolute;
	right:102px;
	top:8px;
	background:#fff;
	border-radius:50%;
	display:flex;
	align-items:center;
	justify-content:center;
}
.tessa_project .project .tessa_project_detail .tessa_project_content:before {
	content:'';
	width: 44px;
	height: 44px;
	border:1px solid var(--color1);
	border-radius:50%;
	position:absolute;
	top:6px;
	z-index: 1;
	right:104px;
}
.tessa_project .et_pb_portfolio_filters ul {
	display:flex;
	align-items:center;
	gap:30px;
	justify-content:center;
	flex-wrap:wrap;
}
.tessa_project .et_pb_portfolio_filters ul li a {
	border-radius:0!important;
	padding:0 0 10px;
	background-color:transparent!important;
	color: var(--color2)!important;
	font-size: 16px;
	font-weight: 700;
	line-height:20px;
	border:1px solid transparent;
	border-width:0 0 1px;
}
.tessa_project .et_pb_portfolio_filters ul li a.active {
	color: var(--color1)!important;
	border-color: var(--color1);
}
@media(max-width:1400px) {
	.tessa_project .project .tessa_project_detail .tessa_project_content {
		padding:75px 30px 0 130px;
	}
	.tessa_project .project .tessa_project_detail {
		right:30px;
	}
}
@media(max-width:1200px) { 
	.tessa_project .et_pb_portfolio_items,
	.tessa_project .et_pb_ajax_pagination_container {
		grid-template-columns: repeat(3,1fr);
	}
	.tessa_project_col_2 .et_pb_portfolio_items, 
	.tessa_project_col_2 .et_pb_ajax_pagination_container {
		grid-template-columns: repeat(2,1fr);
	}
}
@media(max-width:980px) { 
	.tessa_project .et_pb_portfolio_items,
	.tessa_project .et_pb_ajax_pagination_container {
		grid-template-columns: repeat(2,1fr);
	}
	.tessa_project .project .tessa_project_detail .tessa_project_content {
		padding: 75px 40px 0 130px;
	}
}
@media(max-width:767px) { 
	.tessa_project .et_pb_portfolio_items,
	.tessa_project .et_pb_ajax_pagination_container {
		grid-template-columns: repeat(1,1fr);
	}
	.tessa_project .project {
		max-width: 500px;
		margin: auto;
	}
	.tessa_project .et_pb_portfolio_filters ul li {
		width:auto!important;
	}
}

/* Video Section */
.popup-open header .et_builder_inner_content,
.popup-open .et_pb_section,
.popup-open .et_pb_section .et_pb_row,
.popup-open .et_pb_section:before,
.popup-open .et_pb_section .et_pb_row .et_pb_column,
.popup-open .et_pb_section .et_pb_row .et_pb_column .et_pb_module,
.popup-open .et_builder_inner_content,
.popup-open .et_pb_section .post ,
.popup-open .et_pb_section .post .blog_detail,
.popup-open .et_pb_section .et_pb_row .et_pb_column .et_pb_module:before {
	z-index:auto!important;
}
.popup-open .et_pb_section .et_pb_row .et_pb_column .et_pb_module.et_pb_button_module_wrapper ,
.popup-open .et_pb_section .et_pb_row .et_pb_column .et_pb_module.et_pb_number_counter,
.popup-open .et_pb_social_media_follow li a.icon:before {
	z-index:-1!important;
}
.popup-open footer .et_pb_section.tessa_footer {
	z-index:0!important;
}
button#myBtn:before {
	content: '\45';
	font-family: ETmodules;
	color: var(--color1);
	position: absolute;
	left:0;
	right:0;
	margin:auto;
	font-size: 60px;
	top: 50%;
	transform:translateY(-50%);
	-webkit-transform:translateY(-50%);
	-ms-transform:translateY(-50%);
	border-radius:50%;
}
button#myBtn:after {
	content:'';
	width:190px;
	height:190px;
	background:var(--color1);
	opacity:0.1;
	border-radius:50%;
	margin:auto;
	position:absolute;
	left:0;
	right:0;
	top: 50%;
	transform:translateY(-50%);
	-webkit-transform:translateY(-50%);
	-ms-transform:translateY(-50%);
}
button#myBtn {
	background-color: transparent;
	padding: 0;
	max-width: 284px;
	width:100%;
	height: 284px;
	border: 1px solid #fff;
	margin: auto;
	display: block;
	border-radius: 50%;
}
.modal {
	display: none; 
	position: fixed; 
	z-index: 1; 
	padding-top: 0px; 
	left: 0;
	top: 0px;
	width: 100%;
	height: 100%; 
	overflow: auto; 
	background-color: rgb(0,0,0,0.7); 
}
.modal-content {
	font-family: 'Mulish', sans-serif;
	background-color: transparent;
	margin: auto;
	padding: 0;
	width: 100%;
	position: relative;
	height: inherit;
}
.modal-content .wps-box {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateX(-50%) translateY(-50%);
	-webkit-transform: translateX(-50%) translateY(-50%);
	-ms-transform: translateX(-50%) translateY(-50%);
	width:100%;
}
.modal-content .wps-box .wps-box-inner{
	max-width: 1140px;
	width: 100%;
	margin: auto;
	display: block;
	align-items: center;
}
.modal-content .wps-box video {
	max-width:600px;
	height:100%;
	width:100%;
}
.close ,.close:hover,.close:focus,
.clientClose ,.clientClose:hover,.clientClose:focus {
	color: #aaaaaa!important;
	float: right;
	font-size: 40px;
	font-weight: bold;
	position: absolute;
	top: 50px;
	left: auto;
	right: 40px;
	z-index:999;
}
.close:hover,
.close:focus,
.clientClose:hover,
.clientClose:focus {
	color: #000;
	text-decoration: none;
	cursor: pointer;
}
@media(max-width:980px) {
	button#myBtn {
		max-width: 200px;
		height: 200px;
	}
	button#myBtn:after {
		width: 150px;
		height: 150px;
	}
}
@media(max-width:767px) {
	button#myBtn {
		max-width: 120px;
		height: 120px;
	}
	button#myBtn:after {
		width: 90px;
		height: 90px;
	}
}

/* testimonial Section */
.tessa_testimonial .tessa_testimonial_detail {
	position:relative;
	padding-right: 40px;
}
.tessa_testimonial .tessa_testimonial_detail:before {
	content:'\77';
	font-family:ETmodules;
	position:absolute;
	top:50%;
	transform:translateY(-50%);
	-webkit-transform:translateY(-50%);
	-ms-transform:translateY(-50%);
	right:0;
	font-size:30px;
}
.tessa_testimonial .et_pb_testimonial_description_inner p {
	padding:0;
}
.tessa_testimonial .et_pb_testimonial_description_inner {
	margin:55px 0 30px;
	padding:15px 0 ;
	position:relative;
}
.tessa_testimonial .et_pb_testimonial_description_inner:before {
	content:'';
	top:0;
	bottom:0;
	left:0;
	right:0;
	position:absolute;
	border:1px solid var(--color2);
	border-width:1px 0;
	opacity:0.2;
	transition:all .5s ease;
}
.tessa_testimonial:hover .et_pb_testimonial_description_inner:before {
	opacity:1;
	border-color:var(--color1);
}
.tessa_testimonial .et_pb_testimonial_description_inner .et_pb_testimonial_content:before {
	content:'\e033 \e033 \e033 \e033 \e033';
	font-family:ETmodules;
	position:absolute;
	color:var(--color2);
	font-size:16px;
	letter-spacing:2px;
	top:-45px;
	left:0;
}
.tessa_testimonial .et_pb_testimonial_description_inner .et_pb_testimonial_content:after {
	content:'\201c';
	font-size:68px;
	position:absolute;
	top:-38px;
	right:0;
	font-family: sans-serif;
	font-weight: 800;
	-webkit-text-stroke: 1px var(--color2);
	color:transparent;
}

/* Team Section */
.tessa_team .et_pb_team_member_image:before {
	content:'';
	top:0;
	bottom:0;
	left:0;
	right:0;
	position:absolute;
	background:var(--color2);
	transition:all .5s ease;
	opacity:0;
}
.tessa_team .et_pb_team_member_image img {
	width:100%;
}
.tessa_team:hover .et_pb_team_member_image:before {
	opacity:0.5;
}
.tessa_team .et_pb_module_header,
.tessa_team .et_pb_member_position,
.tessa_project_detail_color .et_pb_title_meta_container span a,
.tessa_project_detail_color .et_pb_title_meta_container a {
	color:var(--color2)!important;
}
.tessa_team:hover .et_pb_module_header ,
.tessa_team:hover .et_pb_member_position {
	color:#fff;
}
.tessa_team .et_pb_member_social_links:before {
	content: '\4c';
	font-family: ETmodules;
	width: 35px;
	height: 35px;
	line-height: 35px;
	background: #fff;
	font-size: 20px;
	color: var(--color2);
	position: absolute;
	top: -35px;
	right: 0;
	text-align: center;
}
.tessa_team .et_pb_member_social_links li {
	margin:0;
}
.tessa_team .et_pb_member_social_links li a {
	width: 35px;
	height: 35px;
	line-height:35px;
	background:#fff;
	font-size:14px;
	color:var(--color2);
	transition:all .5s ease;
	opacity:0;
}
.tessa_team:hover .et_pb_member_social_links li a {
	opacity:1;	
}
.tessa_team:hover .et_pb_member_social_links li:nth-child(1) a {
	transition-delay:.4s;
}
.tessa_team:hover .et_pb_member_social_links li:nth-child(2) a {
	transition-delay:.3s;
}
.tessa_team:hover .et_pb_member_social_links li:nth-child(3) a {
	transition-delay:.2s;
}
.tessa_team:hover .et_pb_member_social_links li:nth-child(4) a {
	transition-delay:.1s;
}
.tessa_team .et_pb_member_social_links li a:hover {
	background:var(--color2);
	color:#fff;
	transition-delay:.1s!important;
}

/* Pricing Section */
.tessa_pricing .tessa_price_number small {
	font-size: 16px;
	font-weight: 600;
}
.tessa_pricing .tessa_price_number p,
.tessa_pricing .tessa_price_number .et_pb_text_inner {
	display:flex;
	align-items:center;
	flex-wrap:wrap;
	gap:10px;
	justify-content:center;
}
.tessa_pricing .tessa_pricing_details .et_pb_module_header,
.tessa_pricing .tessa_pricing_details .et_pb_promo_description ul li {
	color:var(--color2)!important;
	transition:all .5s ease;
}
.tessa_pricing:hover .tessa_pricing_details .et_pb_module_header,
.tessa_pricing:hover .tessa_pricing_details .et_pb_promo_description ul li {
	color:#fff!important;
}
.tessa_pricing .tessa_pricing_details .et_pb_module_header {
	padding:0 0 23px;
}
.tessa_pricing .tessa_pricing_details .et_pb_promo_description ul {
	display:flex;
	flex-direction:column;
	gap:17px;
	margin:0;
	padding:0;
	list-style:none;
}
.tessa_pricing .tessa_pricing_details .et_pb_promo_description ul li {
	margin:0;
	display:flex;
	align-items:center;
	gap:10px;
	position:relative;
}
.tessa_pricing .tessa_pricing_details .et_pb_promo_description ul li:before {
	content:'\5a';
	font-family:ETmodules;
	font-size:20px;
}
.tessa_pricing:hover .tessa_pricing_details {
	background:var(--color1);
}
.tessa_pricing .tessa_pricing_details .et_pb_button:after {
	content: '';
	top: 0;
	bottom: 0;
	right: 0;
	width: 3px;
	background-color: var(--color1)!important;
	transition: all .5s ease;
	z-index: -1;
}
.tessa_pricing:hover .tessa_pricing_details .et_pb_button:after,
.tessa_pricing .tessa_pricing_details .et_pb_button:hover:after {
	background-color: #fff!important;
}
.tessa_pricing .tessa_pricing_details .et_pb_button_wrapper .et_pb_button.et_pb_promo_button:hover {
	color: var(--color2)!important;
}
.tessa_pricing .tessa_pricing_details .et_pb_button:hover:after {
	width:100%;
}

/* FAQ Section */
.tessa_faq_img .et_pb_image_wrap ,
.tessa_faq_img .et_pb_image_wrap img {
	height:100%;
}
.tessa_faq_btn .et_pb_button:after {
	content: '';
	top: -5px;
	bottom: 5px;
	left: -8px!important;
	right: 8px;
	border: 1px solid var(--color1);
	border-radius: 50%;
	position: absolute;
	visibility: visible!important;
	display: block!important;
	margin: 0!important;
	opacity: 1;
}
.tessa_faq .et_pb_toggle_open .et_pb_toggle_title {
	color:var(--color1)!important;
}
.tessa_faq .et_pb_toggle_title:after {
	content:'';
	width: 30px;
	height: 30px;
	background-color:var(--color2);
	position:absolute;
	right:0;
	top:50%;
	transform:translateY(-50%);
	-webkit-transform:translateY(-50%);
	-ms-transform:translateY(-50%);
	opacity:0.1;
}
.tessa_faq .et_pb_toggle_title:before {
	width: 30px;
	height: 30px;
	text-align:center;
	line-height:30px;
	color:var(--color2);
	font-size: 24px;
	margin: 0;
	top: 50%;
	transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
}
.tessa_faq .et_pb_toggle_open .et_pb_toggle_title:before {
	display:block;
	content:'\4b'!important;
}

/* Blog Section */
.tessa_blog .et_pb_ajax_pagination_container {
	display:grid;
	grid-template-columns:repeat(3,1fr);
	gap:30px;
}
.tessa_blog_col_2 .et_pb_ajax_pagination_container {
	grid-template-columns:repeat(2,1fr);
}
.tessa_blog_col_4 .et_pb_ajax_pagination_container {
	grid-template-columns:repeat(4,1fr);
}
.tessa_blog .post {
	margin:0;
	border: 1px solid rgba(8, 26, 62, 0.20);
	background: #FFF;
	box-shadow: 0px 6px 25px 0px rgba(0, 0, 0, 0.05);
	transition:all .5s ease;
	z-index:1;
	display:flex;
	flex-direction:column;
	flex: 1 0 0%;
	position:relative;
}
.tessa_blog .post:hover {
	border-color:transparent;
	box-shadow:none;
}
.tessa_blog .post:before,
.tessa_blog_left_img .post a.entry-featured-image-url:before {
	content:'';
	top:0;
	left:0;
	right:0;
	bottom:0;
	position:absolute;
	background-color:var(--color2);
	opacity:0;
	transition:all .5s ease;
	z-index:0;
}
.tessa_blog .post:hover:before,
.tessa_blog_left_img .post:hover a.entry-featured-image-url:before {
	opacity:0.5;
}
.tessa_blog .post a.entry-featured-image-url {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: 0;
	z-index: -1;
	opacity: 0;
	transition:all .5s ease;
}
.tessa_blog .post:hover a.entry-featured-image-url {
	opacity:1;
}
.tessa_blog .post a.entry-featured-image-url img {
	width:100%;
	height:100%!important;
}
.tessa_blog .post .post-meta {
	order:1;
	margin:0 0 33px;
}
.tessa_blog .post .post-meta a {
	display:inline-block;
	background-color:var(--color2);
	padding:8px;
	color: #FFF;
	font-size: 16px;
	font-weight: 400;
	line-height: 19px;
}
.tessa_blog .post .entry-title {
	order:2;
	padding:0;
	color:var(--color2);
	font-size: 24px;
	font-weight: 700;
	line-height: 29px;
	transition:all .5s ease;
}
.tessa_blog .post:hover .entry-title {
	color:#fff;
}
.tessa_blog .post .post-content {
	border-top:1px solid rgba(8, 26, 62, 0.20);
	padding:16px 30px 13px ;
	z-index:0;
	transition:all .5s ease;
}
.tessa_blog .post:hover .post-content {
	border-color:transparent;
	background-color:var(--color1);
}
.tessa_blog .post .post-content .more-link {
	color: var(--color2);
	font-size: 16px;
	font-weight: 400;
	line-height: 24px; 
	display:inline-flex;
	text-transform:capitalize;
	transition:all .5s ease;
	position:relative;
	padding-right:22px;
}
.tessa_blog .post .post-content .more-link:after {
	content: '\24';
	font-family: ETmodules;
	line-height: 16px;
	height: 16px;
	display: flex;
	align-items: center;
	position: absolute;
	right: 0;
	top: 6px;
}
.tessa_blog .post:hover .post-content .more-link {
	color:#fff;
}
.tessa_blog .post .tessa_blog_detail {
	flex:1 1 auto;
	display:flex;
	flex-direction:column;
	padding:30px 30px 100px;
	z-index:0;
	min-height:348px;
}
.tessa_blog.tessa_blog_left_img .et_pb_ajax_pagination_container {
	grid-template-columns: repeat(1,1fr);
}
.tessa_blog_left_img .post {	
	flex-direction: row;
}
.tessa_blog_right_img .post {
    flex-direction: row-reverse;
}
.tessa_blog_left_img .post a.entry-featured-image-url {
	position: relative;
	opacity: 1;
	width: 100%;
	max-width: 400px;
	height:100%;
}
.tessa_blog_left_img .post a.entry-featured-image-url img {
	height:100%;
	width:100%;
	max-width:100%;
}
.tessa_blog_left_img .post:before {
	content:none;
}
.tessa_blog_left_img .post:hover {
	box-shadow: 0px 6px 25px 0px rgba(0, 0, 0, 0.05);
	border: 1px solid rgba(8, 26, 62, 0.20);
}
.tessa_blog_left_img .post .tessa_blog_detail_left {
	display:flex;
	flex-direction:column;
	width:100%;
}
.tessa_blog_left_img .post .tessa_blog_detail {
	padding: 30px;
	min-height: auto!important;
}
.tessa_blog_left_img .post:hover .entry-title {
	color: var(--color2);
}
@media(max-width:1200px) {
	.tessa_blog_col_4 .et_pb_ajax_pagination_container {
		grid-template-columns:repeat(3,1fr);
	}
}
@media(max-width:980px) {
	.tessa_blog .et_pb_ajax_pagination_container {
		grid-template-columns:repeat(2,1fr);
	}
	.tessa_blog .post .tessa_blog_detail {
		padding: 25px 25px 40px;
		min-height: 280px;
	}
	.tessa_blog .post .post-content {
		padding:16px 25px 13px;
	}
}
@media(max-width:767px) {
	.tessa_blog .et_pb_ajax_pagination_container {
		grid-template-columns:repeat(1,1fr);
	}
	.tessa_blog .post {
		max-width: 500px;
		margin: auto;
	}
	.tessa_blog .post .tessa_blog_detail {
		padding: 20px 20px 40px;
		min-height: auto;
	}
	.tessa_blog .post .post-content {
		padding:16px 20px 13px;
	}
	.tessa_blog .post .entry-title {
		font-size: 22px;
		line-height: 27px;
	}
	.tessa_blog_left_img .post {	
		flex-direction: column;
	}
	.tessa_blog_left_img .post a.entry-featured-image-url {
		max-width: 100%;
	}
}

/* Timeline Section */
.tessa_timeline-box:hover .et_pb_module_header {
	background-color: var(--color1)!important;
}
.tessa_timeline-box .timeline-date {
	position: absolute;
	border: 1px solid var(--color2);
	padding: 9px;
	text-wrap: nowrap;
	top: 50%;
	transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	right: -222px;
	color:var(--color2);
	font-size: 16px;
	font-weight: 400;
	line-height: 24px; 
	transition:all .5s ease;
}
.tessa_timeline-box:hover .timeline-date {
	border-color:var(--color1);
	color:var(--color1);
}
.tessa_timeline-box:nth-child(even) .timeline-date {
	left:-222px;
	right:auto;
}
@media(max-width:767px) {
	.tessa_timeline-box .timeline-date,
	.tessa_timeline-box:nth-child(even) .timeline-date {
		top: -64px;
		transform: none;
		-webkit-transform: none;
		-ms-transform: none;
		left: 0px;
		right:auto;
	}
}

/* Contact Us Section */
.tessa_form form label {
	display:block;
	color:var(--color2);
	font-size: 16px;
	font-weight: 400;
	line-height: 20px;
	margin:0  0 15px;
}
.tessa_form form input,
.tessa_form form select,
.tessa_form form textarea,
.tessa_form form input::placeholder,
.tessa_form form select::placeholder,
.tessa_form form textarea::placeholder{
	color:var(--color2);
}
.tessa_form form input,
.tessa_form form select,
.tessa_form form textarea {
	border: 1px solid rgba(8, 26, 62, 0.20);
}
.tessa_form form input:focus,
.tessa_form form select:focus,
.tessa_form form textarea:focus {
	border: 1px solid rgba(134, 187, 69, 0.50);
}
.tessa_form form .et_pb_contact_field[data-type=select]:after {
	top: auto; 
	right: 25px;
	-webkit-transform: none;
	-ms-transform: none;
	transform: none;
	bottom: 20px;
}
.tessa_form form .et_contact_bottom_container {
	float: left;
	margin-top: 0;
	padding: 0 0 0 3%;
}
.tessa_form form .et_contact_bottom_container button:after,
.tessa_error_btn .et_pb_button:after {
	content: ''!important;
	top: 0;
	bottom: 0;
	right: 0;
	width: 3px;
	background-color: var(--color2)!important;
	transition: all .5s ease;
	z-index: -1;
}
.tessa_form form .et_contact_bottom_container button:hover:after,
.tessa_error_btn .et_pb_button:hover:after {
	width:100%;
}

/* Blog Details Sidebar */
.tessa_sidebar .widget_search form input {
	border-radius:0;
	border:1px solid rgba(8,26,62,0.20)!important;
	font-size: 16px;
	height:auto!important;
}
.tessa_sidebar .widget_search form button.wp-block-search__button {
	height: auto!important;
	bottom: 0px;
	background-color: var(--color2)!important;
	color: #fff;
	top: 0px;
	right: 0px;
	border-radius: 0;
	border: 0;
	padding: 8px 18px;
}
.tessa_sidebar .widget_block .wp-block-heading {
	color: var(--color2)!important;
	padding:0 0 15px;
	position:relative;
	margin:0 0 20px;
}
.tessa_sidebar .widget_block .wp-block-heading:before {
	content:'';
	width:15%;
	height:2px;
	position:absolute;
	bottom:0;
	left:0;
	background-color: var(--color2);
}
.tessa_sidebar .widget_block ul {
	display:flex;
	flex-direction:column;
	gap:16px;
	padding:0;
	margin:0;
}
.tessa_sidebar .widget_block ul li {
	margin:0;
}
.tessa_sidebar .widget_block ul li a ,
.tessa_sidebar .widget_block .wp-block-latest-comments {
	color: var(--color2);
}

#commentform {
	padding-bottom: 0;
	display:flex;
	flex-direction:column;
}
#commentform .comment-form-comment {
	order:4;
}
#commentform .comment-form-cookies-consent {
	order:5;
}
#commentform .form-submit {
	order:6;
	text-align:left;
}